Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.amp.agf.ide
Class ZoomFitAction

    java.lang.Object
      org.eclipse.amp.agf.ide.ZoomFitAction

All Implemented Interfaces:
  org.eclipse.ui.IActionDelegate, org.eclipse.ui.IViewActionDelegate

Direct Known Subclasses:
  ZoomFitAllAction, ZoomFitHeightAction, ZoomFitWidthAction, ZoomFreeAction

    public abstract class ZoomFitAction

extends java.lang.Object
implements org.eclipse.ui.IViewActionDelegate

The Class ZoomFitAction.

Constructor Summary
`ZoomFitAction()`

Method Summary
`protected abstract java.lang.String` | `getZoomContribution()` Gets the zoom contribution.
`protected org.eclipse.gef.editparts.ZoomManager` | `getZoomer()` Gets the zoomer.
`void` | `init(org.eclipse.ui.IViewPart view)`
`void` | `run(org.eclipse.jface.action.IAction action)`
`void` | `selectionChanged(org.eclipse.jface.action.IAction action, org.eclipse.jface.viewers.ISelection selection)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ZoomFitAction

    public ZoomFitAction()

Method Detail

### init

    public void init(org.eclipse.ui.IViewPart view)

  Specified by:
    `init` in interface `org.eclipse.ui.IViewActionDelegate`
  Parameters:
    `view` -
  See Also:
    `IViewActionDelegate.init(org.eclipse.ui.IViewPart)`

### run

    public void run(org.eclipse.jface.action.IAction action)

  Specified by:
    `run` in interface `org.eclipse.ui.IActionDelegate`
  Parameters:
    `action` -
  See Also:
    `IActionDelegate.run(org.eclipse.jface.action.IAction)`

### getZoomer

    protected org.eclipse.gef.editparts.ZoomManager getZoomer()

  Gets the zoomer.

  Returns:
    the zoomer

### selectionChanged

    public void selectionChanged(org.eclipse.jface.action.IAction action,
                                 org.eclipse.jface.viewers.ISelection selection)

  Specified by:
    `selectionChanged` in interface `org.eclipse.ui.IActionDelegate`
  Parameters:
    `action` -
    `selection` -
  See Also:
    `IActionDelegate.selectionChanged(org.eclipse.jface.action.IAction, org.eclipse.jface.viewers.ISelection)`

### getZoomContribution

    protected abstract java.lang.String getZoomContribution()

  Gets the zoom contribution.

  Returns:
    the zoom contribution

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD